<script setup>
import { computed, ref } from 'vue'

import Pills from '~/components/ui/Pills.vue';
import Layout from '~/components/ui/Layout.vue';

const staticModel = ref({
  current: ["Noise", "Field Recording", "Experiment"]
});

const interactiveModel = ref({
  current: ["Noise", "Field Recording", "Experiment"],
  others: ["Melody", "Rhythm"]
});
</script>

# Pills

<Layout class="preview" style="padding:16px">
  <Pills v-model="staticModel" label="Tags" />
</Layout>

Select a set of pills from presets, and add and remove custom ones

<Layout class="preview" style="padding:16px">
  <Pills v-model="interactiveModel" label="Tags" />
</Layout>
